MIX_CreateTrack(3)

NAME
MIX_CreateTrack - Create a new track on a mixer.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

MIX_Track * MIX_CreateTrack(MIX_Mixer *mixer);

DESCRIPTION
A track provides a single source of audio. All currently-playing tracks will be processed and mixed together to form the final output from the mixer.

There are no limits to the number of tracks one may create, beyond running out of memory, but in normal practice there are a small number of tracks that are reused between all loaded audio as appropriate.

Tracks are unique to a specific MIX_Mixer and can't be transferred between them.

FUNCTION PARAMETERS

mixer
    the mixer on which to create this track.

RETURN VALUE
Returns a new MIX_Track on success, NULL on error; call SDL_GetError() for more informations.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_DestroyTrack(3)